---
type: api
title: Run a privileges check on Privilege Monitoring
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-privmonprivileges
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-privmonprivileges
products:
  - Kibana
---

# Run a privileges check on Privilege Monitoring

deprecated

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/entity_analytics/monitoring/privileges/privileges`
- `GET` `/s/{space_id}/api/entity_analytics/monitoring/privileges/privileges`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

**Deprecated in 9.4.0.** Use the Watchlists APIs instead.

Check if the current user has all required permissions for Privilege Monitoring.

## Response

Successful response

`application/json`

- `has_all_required` (boolean)
- `has_install_permissions` (boolean)
- `has_read_permissions` (boolean)
- `has_write_permissions` (boolean)
- `install_privileges` ({})
  - `elasticsearch` (object)
    - `cluster` (map string to boolean)
    - `index` (map string to string to boolean)
  - `kibana` (map string to boolean)
- `privileges` ({})
  - `elasticsearch` (object)
    - `cluster` (map string to boolean)
    - `index` (map string to string to boolean)
  - `kibana` (map string to boolean)
## Code Examples

#### Console

```console
GET /api/entity_analytics/monitoring/privileges/privileges
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/entity_analytics/monitoring/privileges/privileges"
```

## Response Examples

#### Privileges check response

```json
{
  "has_all_required": true,
  "privileges": {
    "elasticsearch": {
      "index": {
        ".entity_analytics.monitoring.user-default": {
          "read": true
        }
      }
    }
  }
}
```

